Bug 13133 - Mangled UTF8 in pay.tt
Summary: Mangled UTF8 in pay.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-23 05:41 UTC by paxed
Modified: 2015-06-04 23:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13133: Fix mangled titles on pay fines page (1.48 KB, patch)
2014-11-09 23:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13133: Fix mangled titles on pay fines page (1.53 KB, patch)
2014-11-10 05:40 UTC, Chris Cormack
Details | Diff | Splinter Review
[Passed QA] Bug 13133: Fix mangled titles on pay fines page (1.61 KB, patch)
2014-11-12 08:05 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-10-23 05:41:12 UTC
Go to patron info -> Fines -> Pay fines. If the patron has an accruing fine for a book, and the book title has utf8 characters, the "title" for that fine is mangled.

pay.tt uses "title | html_entity" which causes the mangling. boraccount.tt uses "title | html" which works correctly.
Comment 1 Katrin Fischer 2014-11-09 23:02:52 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-11-10 05:40:12 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2014-11-12 08:05:32 UTC
Created attachment 33473 [details] [review]
[Passed QA] Bug 13133: Fix mangled titles on pay fines page

Titles with diacritics don't show correctly
on the 'pay fines' page in the patron account
in staff.

To test:
- Catalog or find a record with non-latin script
  Something like a word in Hebrew would work.
- Create a fine entry for that record
  Something like a rental fee works.
- Verify that the title doesn't display correct
  on the pay fine page (other tabs are ok)
- Apply patch
- Check the pages again - display should be
  correct now.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2014-11-12 08:06:01 UTC
Super trivial, works as expected... passing qa.
Comment 5 Tomás Cohen Arazi 2014-11-21 23:52:35 UTC
Patch pushed to master.

Thanks Katrina!